import { Runtime } from "../runtimes/mod.js";
import { Func, Typedef } from "../types.js";
export declare class TemporalRuntime extends Runtime {
    #private;
    host: string;
    name: string;
    constructor(name: string, host: string);
    startWorkflow(workflowType: string, arg: Typedef): Func<import("../types.js").Struct<{
        [key: string]: Typedef;
    }>, Typedef, {
        _id: number;
    }>;
    signalWorkflow(signalName: string, arg: Typedef): Func<import("../types.js").Struct<{
        [key: string]: Typedef;
    }>, Typedef, {
        _id: number;
    }>;
    queryWorkflow(queryType: string, arg: Typedef): Func<import("../types.js").Struct<{
        [key: string]: Typedef;
    }>, Typedef, {
        _id: number;
    }>;
    describeWorkflow(): Func<import("../types.js").Struct<{
        [key: string]: Typedef;
    }>, Typedef, {
        _id: number;
    }>;
}
